<template>
  <div class="container mb-4">
    <div>
      <form>
        <h1>#Palindrome</h1>
        <div>
          <label class="mr-4">Masukan Kata</label>
          <input class="form-control" v-model="word" />
        </div>
      </form>
      <h5 :style="{ color: isPalindrome ? 'green' : 'red' }">Palindrome: {{ isPalindrome ? 'Yes' : 'No' }}</h5>
    </div>
    <div>
      <h1>#Leap Year</h1>
      <div>Start Date</div>
      <input type="number" class="form-control mb-4" v-model="date1">
      <div>End date</div>
      <input type="number" class="form-control mb-4" v-model="date2">
      <select v-model="year" style="width: 30%;">
        <option value="" selected="selected" disabled="disabled" hidden="hidden">Year</option>
        <option class="form-control" v-for="year in years" :key="year">{{year}}</option>
      </select>
      <input class="form-control" type="date" hidden name="date" :value="date">
    </div>
  </div>
</template>
<script>
export default {
  name: "App",
  data() {
    return {
      word: '',
      year: '',
      date1: '',
      date2: ''
    };
  },
  computed: {
    isPalindrome() {
      const { word } = this;
      return word === word.split("").reverse().join("");
    },
    years () {
      var year = [];
      for (let i = parseInt(this.date1) + 4; i <= parseInt(this.date2) + 2; i += 4) {
        year.push(i);
      }
      return year
    },
    date () {
      return this.year
    }
  },
  methods: {
    leapYear: function(year) {
      return ((year % 4 == 0) && (year % 100 != 0)) || (year % 400 == 0);
    }
  }
};
</script>